Serious problem with Safari!!

Discussion in 'macOS' started by fishmoose, Jul 1, 2008.

  1. fishmoose macrumors 68000

    Joined:
    Jul 1, 2008
    Location:
    Sweden
    #1
    Hello!

    I had Safari 4 dev preview installed then i removed it after installing 10.5.4 because i needed some plugins that wasn't working, the problem is that when i uninstalled it using the uninstaller in the dmg i got Safari 3.1.1 no problem i thought... But i was wrong.

    I wanted the latest version of Safari 3.1.2 so i went to software update in os x didn't find it so then i went to Apple's Safari site and downloaded the latest safari image they had when i was going to install it on my MacBook i can't because the system says i don't have 10.5.2 which is required but i have 10.5.4!!

    So i then uninstalled Safari 3.1.1 thinking that i then could install 3.1.2 but no now i can't install Safari :(

    The funny thing is that i can install Safari 4 dev preview but when i uninstall it i don't get 3.1.1 instead i don't got any version of Safari.

    So now my problem is i have Safari 4 dev preview installed but i don't have 3.1.1 :S So when i uninstall Safari 4 i don't have any version.

    Any help would be greatly appreciated!!
     
  2. ckurowic macrumors regular

    ckurowic

    Joined:
    Sep 16, 2007
    #2
    My solution? Don't install developer previews if your not a developer...
     
  3. fishmoose thread starter macrumors 68000

    Joined:
    Jul 1, 2008
    Location:
    Sweden
    #3
    yeah i have learned my lesson the hard way :( Anyway i can fix this now without re-formating my mac?
     
  4. MotleyPete macrumors regular

    Joined:
    Jun 9, 2008
    Location:
    Blighty
    #4
  5. fishmoose thread starter macrumors 68000

    Joined:
    Jul 1, 2008
    Location:
    Sweden
    #5
    I tried that and now i actually have 1.1.2 installed but i can't start it, it says Safari might be missing important resources and that i should try to re-install it but obviosly i can't do that because when i run the installer it says i don't have 10.5.2 but i'm on 10.5.4
     
  6. archiguy macrumors newbie

    Joined:
    Nov 26, 2008
    #6
    Uninstalling Safari 4 Dev Preview

    I have had the same problem too. I downloaded the Installer for Safari 3 again and tried to install, but it wont let me.

    I dont know how to reset the Mac OS so it doesn't think I have Safari4 Dev Preview anymore.

    I have a MacBook Pro 2.8 GHz inbuilt with Mac OS X 10.5.5.
     
  7. Catfish_Man macrumors 68030

    Catfish_Man

    Joined:
    Sep 13, 2001
    Location:
    Portland, OR
    #7
    The developer preview disk image should have an uninstaller, or you can delete the relevant receipt file from /Library/Receipts/
     

Share This Page